How to install in EC2 instance when ssh access is blocked by customer

SSH was blocked in my customer environment(EC2 instance).
I couldn’t install tigergraph(single node) and getting below error

==============================================================
Congratulations! Installation Finished!

[PROGRESS]: 08:37:18 Start tigergraph service, this may take a while …
[ Info] Starting EXE
[ Error] ExternalError (Failed to start executor(s); Failed to copy config file from local to remote machine 127.0.0.1; ssh: subsystem request failed)
[WARNING ]: Failed to initialize the cluster, retrying
[ Info] Starting EXE
[ Error] ExternalError (Failed to start executor(s); Failed to copy config file from local to remote machine 127.0.0.1; ssh: subsystem request failed)

[ERROR ]: Failed to initialize the cluster, please check the error message and initialize again.

Please help me on this to install single instance without ssh

Regards,
Farook

When installing TigerGraph one of the most common things that will cause the installation to fail is having all the prerequired packages on the installation box.

https://docs.tigergraph.com/admin/admin-guide/hw-and-sw-requirements

Prerequisite Software

Shell

Please use a bash shell for the installation process.

Utilities

Before offline installation, the TigerGraph system needs a few basic software packages to be present:

  • tar

  • curl

  • crontab

  • ip

  • ssh / sshd

  • more

  • netstat

  • sshpass

    • if you intend to use password login method (P method) instead of ssh key login method (K method) to install the TigerGraph platform.

If they are not present, contact your system administrator to have them installed on your target system. For example, they can be installed with one of the following commands.

# Centos or RedHat:
sudo yum install tar curl cronie iproute util-linux-ng net-tools coreutils openssh-clients openssh-server sshpass 

# Ubuntu or Debian (Except Ver 18.04):
sudo apt install tar curl cron iproute util-linux net-tools coreutils openssh-client openssh-server sshpass 

# Ubuntu or Debian (Ver. 18.04):
sudo apt install tar curl cron iproute2 util-linux net-tools coreutils openssh-client openssh-server sshpass 

Can you confirm that you have all of those installed? @mohdfarookm

All the packages are installed except curl. Below is the error, am getting when I try the below command

Command: sudo apt install curl

Ouput:
Reading package lists… Done
Building dependency tree
Reading state information… Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
curl : Depends: libcurl3 (= 7.35.0-1ubuntu2.20) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Please help me to resolve this issue.

@mohdfarookm try removing libcurl3 and then install curl

 sudo apt-get remove -y libcurl3 &&  sudo apt-get install -y curl

Thanks for your response.
We are getting this issue even if I setup cluster or single.
All the required packages are installed.
Its says its installed successfully. After starting EXE service, we are getting this error.
I found below error in setup_install.log.m1

Installing tigergraph.bin …
Previous installation found. Cleaning up…
Building package …
Creating directory /home/tigergraph/tigergraph/app/3.1.3/kafka/plugins
Verifying archive integrity… 0% ^H^H^H^H^H^H^H 2% ^H^H^H^H^H^H^H 5% ^H^H^H^H^H^H^H 7% ^H^H^H^H^H^H^H 10% ^H^H^H^H^H^H^H 13% ^H^H^H^H^H^H^H 15% ^H^H^H^H^H^H^H 18% ^H^H^H^H^H^H^H 21% ^H^H^H^H^H^H^H 23% ^H^H^H^H^H^H^H 26% ^H^H^H^H^H^H^H 28% ^H^H^H^H^H^H^H 31% ^H^H^H^H^H^H^H 34% ^H^H^H^H^H^H^H 36% ^H^H^H^H^H^H^H 39% ^H^H^H^H^H^H^H 42% ^H^H^H^H^H^H^H 44% ^H^H^H^H^H^H^H 47% ^H^H^H^H^H^H^H 49% ^H^H^H^H^H^H^H 52% ^H^H^H^H^H^H^H 55% ^H^H^H^H^H^H^H 57% ^H^H^H^H^H^H^H 60% ^H^H^H^H^H^H^H 63% ^H^H^H^H^H^H^H 65% ^H^H^H^H^H^H^H 68% ^H^H^H^H^H^H^H 70% ^H^H^H^H^H^H^H 73% ^H^H^H^H^H^H^H 76% ^H^H^H^H^H^H^H 78% ^H^H^H^H^H^H^H 81% ^H^H^H^H^H^H^H 84% ^H^H^H^H^H^H^H 86% ^H^H^H^H^H^H^H 89% ^H^H^H^H^H^H^H 92% ^H^H^H^H^H^H^H 94% ^H^H^H^H^H^H^H 97% ^H^H^H^H^H^H^H 99% ^H^H^H^H^H^H^H 100% All good.
Uncompressing Kafka Plugins Package 0% ^H^H^H^H^H^H^H 2% ^H^H^H^H^H^H^H 5% ^H^H^H^H^H^H^H 7% ^H^H^H^H^H^H^H 10% ^H^H^H^H^H^H^H 13% ^H^H^H^H^H^H^H 15% ^H^H^H^H^H^H^H 18% ^H^H^H^H^H^H^H 21% ^H^H^H^H^H^H^H 23% ^H^H^H^H^H^H^H 26% ^H^H^H^H^H^H^H 28% ^H^H^H^H^H^H^H 31% ^H^H^H^H^H^H^H 34% ^H^H^H^H^H^H^H 36% ^H^H^H^H^H^H^H 39% ^H^H^H^H^H^H^H 42% ^H^H^H^H^H^H^H 44% ^H^H^H^H^H^H^H 47% ^H^H^H^H^H^H^H 49% ^H^H^H^H^H^H^H 52% ^H^H^H^H^H^H^H 55% ^H^H^H^H^H^H^H 57% ^H^H^H^H^H^H^H 60% ^H^H^H^H^H^H^H 63% ^H^H^H^H^H^H^H 65% ^H^H^H^H^H^H^H 68% ^H^H^H^H^H^H^H 70% ^H^H^H^H^H^H^H 73% ^H^H^H^H^H^H^H 76% ^H^H^H^H^H^H^H 78% ^H^H^H^H^H^H^H 81% ^H^H^H^H^H^H^H 84% ^H^H^H^H^H^H^H 86% ^H^H^H^H^H^H^H 89% ^H^H^H^H^H^H^H 92% ^H^H^H^H^H^H^H 94% ^H^H^H^H^H^H^H 97% ^H^H^H^H^H^H^H 99% ^H^H^H^H^H^H^H 100%
Done.
[PROGRESS]: 11:22:32 start to sync
[PROGRESS]: 11:22:48 done syncing
[PROGRESS]: 11:22:48 Configure the platform, this may take a while …
[PROGRESS]: 11:22:48 initialize the gadmin config file
[NOTE ]: set replication_factor to 1
[PROGRESS]: 11:22:48 Set NumberOfHashBucketInBit Env value

  • check_fail 0 136 'Failed to install sypre tools or binary. ’
  • error_code=0
  • exit_code=136
  • message='Failed to install sypre tools or binary. ’
  • color=
  • ‘[’ 0 ‘!=’ 0 ‘]’
  • set +x
    REACH_THE_END

Please help me to resolve this issue.
Used below command to start service
/home/tigergraph/tigergraph/app/3.1.3/cmd/gadmin init cluster -y --skip-stop